Get VERSIONED_PARTY version by id

Retrieves a VERSION identified by version_uid of a VERSIONED_PARTY identified by versioned_object_uid.

Path Parameters
  • versioned_object_uid
    Type: stringFormat: uuid
    required

    VERSIONED_PARTY identifier taken from VERSIONED_PARTY.uid.value.

  • version_uid
    Type: string
    required

    VERSION identifier taken from VERSION.uid.value.

Responses
  • application/json
  • 404

    404 Not Found is returned when, based on the request parameters, the server did not find a current representation of a target resource, or is not willing to disclose that one exists.

Request Example for get/demographic/versioned_party/{versioned_object_uid}/version/{version_uid}
curl 'https://cataniamc.prod.cadasto.com/v1/demographic/versioned_party/123e4567-e89b-12d3-a456-426614174000/version/{version_uid}'
{
"_type": "ORIGINAL_VERSION",
"contribution": {
"namespace": "string",
"type": "string",
"id": {
"_type": "HIER_OBJECT_ID",
"value": "123e4567-e89b-12d3-a456-426614174000"
}
},